Loading...
Searching...
No Matches
libcamera::CameraSensorProperties::SensorDelays Struct Reference

Sensor control application delay values. More...

## Public Attributes

uint8_t | exposureDelay
| Number of frames between application of exposure control and effect.
uint8_t | gainDelay
| Number of frames between application of analogue gain control and effect.
uint8_t | vblankDelay
| Number of frames between application of vblank control and effect.
uint8_t | hblankDelay
| Number of frames between application of hblank control and effect.

## Detailed Description

Sensor control application delay values.

This structure holds delay values, expressed in number of frames, between the time a control value is applied to the sensor and the time that value is reflected in the output. For example "2 frames delay" means that parameters set during frame N will take effect for frame N+2 (and by extension a delay of 0 would mean the parameter is applied immediately to the current frame).

The documentation for this struct was generated from the following files:

- include/libcamera/internal/camera_sensor_properties.h
- src/libcamera/sensor/camera_sensor_properties.cpp